searchData={"items":[{"type":"module","title":"SGP40","doc":"Use Sensirion SGP40 air quality sensor in Elixir","ref":"SGP40.html"},{"type":"function","title":"SGP40.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"SGP40.html#child_spec/1"},{"type":"function","title":"SGP40.get_states/0","doc":"","ref":"SGP40.html#get_states/0"},{"type":"function","title":"SGP40.measure/1","doc":"Measure the current air quality.","ref":"SGP40.html#measure/1"},{"type":"function","title":"SGP40.set_states/1","doc":"","ref":"SGP40.html#set_states/1"},{"type":"function","title":"SGP40.set_tuning_params/1","doc":"","ref":"SGP40.html#set_tuning_params/1"},{"type":"function","title":"SGP40.start_link/1","doc":"Start a new GenServer for interacting with the SGP40 sensor.\nNormally, you'll want to pass the `:bus_name` option to specify the I2C\nbus going to the SGP40.","ref":"SGP40.html#start_link/1"},{"type":"function","title":"SGP40.update_rht/3","doc":"Update relative ambient humidity (RH %) and ambient temperature (degree C)\nfor the humidity compensation.","ref":"SGP40.html#update_rht/3"},{"type":"type","title":"SGP40.bus_address/0","doc":"","ref":"SGP40.html#t:bus_address/0"},{"type":"type","title":"SGP40.bus_name/0","doc":"","ref":"SGP40.html#t:bus_name/0"},{"type":"type","title":"SGP40.options/0","doc":"SGP40 GenServer start_link options\n* `:name` - A name for the `GenServer`\n* `:bus_name` - Which I2C bus to use (defaults to `\"i2c-1\"`)\n* `:bus_address` - The address of the SGP40 (defaults to `0x59`)\n* `:humidity_rh` - Relative humidity in percent for compensation\n* `:temperature_c` - Temperature in degree Celsius for compensation","ref":"SGP40.html#t:options/0"},{"type":"module","title":"SGP40.Measurement","doc":"One sensor measurement","ref":"SGP40.Measurement.html"},{"type":"type","title":"SGP40.Measurement.t/0","doc":"","ref":"SGP40.Measurement.html#t:t/0"},{"type":"module","title":"SGP40.VocIndex","doc":"Process the raw output of the SGP40 sensor into the VOC Index.","ref":"SGP40.VocIndex.html"},{"type":"function","title":"SGP40.VocIndex.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"SGP40.VocIndex.html#child_spec/1"},{"type":"function","title":"SGP40.VocIndex.get_states/0","doc":"Get current algorithm states. Retrieved values can be used in\n`set_states/1` to resume operation after a short interruption,\nskipping initial learning phase. This feature can only be used after at least\n3 hours of continuous operation.","ref":"SGP40.VocIndex.html#get_states/0"},{"type":"function","title":"SGP40.VocIndex.process/1","doc":"Calculate the VOC index value from the raw sensor value.","ref":"SGP40.VocIndex.html#process/1"},{"type":"function","title":"SGP40.VocIndex.set_states/1","doc":"Set previously retrieved algorithm states to resume operation after a short\ninterruption, skipping initial learning phase. This feature should not be\nused after inerruptions of more than 10 minutes. Call this once after\n`start_link/1` and the optional `set_tuning_params/1`, if\ndesired. Otherwise, the algorithm will start with initial learning phase.","ref":"SGP40.VocIndex.html#set_states/1"},{"type":"function","title":"SGP40.VocIndex.set_tuning_params/1","doc":"Set parameters to customize the VOC algorithm. Call this once after\n`start_link/1`, if desired. Otherwise, the default values will be used.","ref":"SGP40.VocIndex.html#set_tuning_params/1"},{"type":"function","title":"SGP40.VocIndex.start_link/1","doc":"Initialize the VOC algorithm parameters. Call this once at the beginning or\nwhenever the sensor stopped measurements.","ref":"SGP40.VocIndex.html#start_link/1"},{"type":"extras","title":"SGP40","doc":"# SGP40\n\n[![Hex version](https://img.shields.io/hexpm/v/sgp40.svg \"Hex version\")](https://hex.pm/packages/sgp40)\n[![API docs](https://img.shields.io/hexpm/v/sgp40.svg?label=docs \"API docs\")](https://hexdocs.pm/sgp40)\n[![CI](https://github.com/mnishiguchi/sgp40/actions/workflows/ci.yml/badge.svg)](https://github.com/mnishiguchi/sgp40/actions/workflows/ci.yml)\n[![Hex](https://github.com/mnishiguchi/sgp40/actions/workflows/hex.yml/badge.svg)](https://github.com/mnishiguchi/sgp40/actions/workflows/hex.yml)\n\nUse [Sensirion SGP40](https://www.sensirion.com/en/environmental-sensors/gas-sensors/sgp40/) air quality sensor in Elixir.\n\nThe raw signal from the SGP40 sensor is processed using [Sensirion's software algorithm](https://github.com/Sensirion/embedded-sgp/blob/00768191892b2cc0d839ebf95998fc4a85b660c4/sgp40_voc_index/sensirion_voc_algorithm.h) to give the [VOC Index](https://cdn.sparkfun.com/assets/e/9/3/f/e/GAS_AN_SGP40_VOC_Index_for_Experts_D1.pdf) that represents an air quality value on a scale from 0 to 500 where a lower value represents cleaner air.","ref":"readme.html"},{"type":"extras","title":"Usage - SGP40","doc":"```elixir\niex> {:ok, sgp} = SGP40.start_link(bus_name: \"i2c-1\")\n{:ok, #PID<0.1407.0>}\n\niex> SGP40.measure(sgp)\n{:ok, %SGP40.Measurement{voc_index: 123, timestamp_ms: 885906}}\n```\n\nFor better accuracy, you can provide the SGP40 sensor with relative ambient humidity and ambient temperature from an external humidity sensor periodically.\n\n```elixir\niex> SGP40.update_rht(sgp, humidity_rh, temperature_c)\n:ok\n```\n\nDepending on your hardware configuration, you may need to modify the call to\n`SGP40.start_link/1`. See `t:SGP40.options/0` for parameters.","ref":"readme.html#usage"}],"content_type":"text/markdown"}